<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<ng-container *appSideMenu="'top'; title: (appForNewStatement ? titleNew : title) | translate">

  <app-action-button
    *ngIf="!appForNewStatement"
    [appDisabled]="appDisabled"
    [appIcon]="'arrow_back'"
    [appRouterLink]="'/details'"
    [appStatementId]="appStatementId"
    class="openk-info side-menu-button">
    {{ "statementInformationForm.sideMenu.backToDetails" | translate }}
  </app-action-button>

  <app-claim-details
    *ngIf="showClaimDetails && !appForNewStatement"
    [claimDetails]="claimDetails[appTaskId]"
  ></app-claim-details>

  <app-action-button
    *ngIf="appForNewStatement || appMailId != null"
    [appDisabled]="appDisabled"
    [appIcon]="'email'"
    [appMailId]="appMailId"
    [appRouterLink]="'/mail'"
    class="openk-info side-menu-button">
    {{ "statementInformationForm.sideMenu.backToInbox" | translate }}
  </app-action-button>

  <app-action-button
    (appClick)="appSubmit.emit()"
    *ngIf="!appForNewStatement"
    [appDisabled]="appDisabled"
    [appIcon]="'save'"
    class="openk-info side-menu-button">
    {{ "statementInformationForm.sideMenu.submit" | translate}}
  </app-action-button>

</ng-container>

<app-side-menu-status
  *appSideMenu="'center'"
  [appLoadingMessage]="'core.submitting' | translate"
  [appErrorMessage]="appErrorMessage"
  [appLoading]="appLoading">
</app-side-menu-status>

<ng-container *appSideMenu="'bottom'">

  <app-action-button
    (appClick)="appDelete.emit()"
    *ngIf="!appForNewStatement && isOfficialInCharge"
    [appDisabled]="appLoading"
    [appIcon]="'clear'"
    class="side-menu-button openk-info">
    {{"statementInformationForm.sideMenu.delete" | translate}}
  </app-action-button>

  <app-action-button
    (appClick)="appSubmit.emit(false)"
    [appDisabled]="appDisabled"
    [appIcon]="'edit'"
    class="openk-info openk-danger side-menu-button">
    {{ "statementInformationForm.sideMenu.submitAndReject" | translate}}
  </app-action-button>

  <app-action-button
    (appClick)="appSubmit.emit(true)"
    [appDisabled]="appDisabled"
    [appIcon]="'launch'"
    class="openk-info openk-success side-menu-button">
    {{ "statementInformationForm.sideMenu.submitAndComplete" | translate}}
  </app-action-button>

</ng-container>
